curl --compressed "https://api.coinmetrics.io/v4/blockchain-metadata/tagged-entities?tags=ADDRESS_IS_CONTRACT,ADDRESS_IS_SWAPPER&pretty=true&api_key=<your_key>"{
"data": [
{
"entity": "00000000000003441d59dde9a90bffb1cd3fabf1",
"tag": "ADDRESS_IS_CONTRACT",
"location": "eth",
"owner_name": "Coinbase",
"type": "ADDRESS",
"tagger_type": "COINMETRICS",
"tagger_method": "DETERMINISTIC",
"start_time": "2021-04-24T09:23:53.000000000Z",
"start_block_height": "12302098",
"start_block_hash": "3f18d476b03fca40a128b3a715f2f6da1056cf4dcc9ec24500f7a53acee4733b"
},
{
"entity": "00000000000006b2ab6decbc6fc7ec6bd2fbc720",
"tag": "ADDRESS_IS_CONTRACT",
"location": "eth",
"type": "ADDRESS",
"tagger_type": "COINMETRICS",
"tagger_method": "DETERMINISTIC",
"start_time": "2023-10-12T21:50:47.000000000Z",
"start_block_height": "18337128",
"start_block_hash": "5184d01e7ba0c8769553342bdf66b4a5aabb096ad4f5c754429733613a155ae5"
}
],
"next_page_token": "0.MjAyMC0wNi0wOFQyMTowM",
"next_page_url": "https://api.coinmetrics.io/v4/blockchain-metadata/tagged-entities?api_key=<your_key>&tags=ADDRESS_IS_CONTRACT&next_page_token=0.MjAyMC0wNi0wOFQyMTowM"
}Blockchain Metadata
The list of entities associated with provided tags
Returns a list of all entities associated with provided tags. Ordered by tuple (entity, tag, location, start_time) if requested by providing entities parameter. Ordered by tuple (tag, location, entity, started_time) if requested by providing tags parameter. Ordered by tuple (owner_name, location, entity, tag, timestamp_start) if requested by providing owner_name parameter.
GET
/
blockchain-metadata
/
tagged-entities
curl --compressed "https://api.coinmetrics.io/v4/blockchain-metadata/tagged-entities?tags=ADDRESS_IS_CONTRACT,ADDRESS_IS_SWAPPER&pretty=true&api_key=<your_key>"{
"data": [
{
"entity": "00000000000003441d59dde9a90bffb1cd3fabf1",
"tag": "ADDRESS_IS_CONTRACT",
"location": "eth",
"owner_name": "Coinbase",
"type": "ADDRESS",
"tagger_type": "COINMETRICS",
"tagger_method": "DETERMINISTIC",
"start_time": "2021-04-24T09:23:53.000000000Z",
"start_block_height": "12302098",
"start_block_hash": "3f18d476b03fca40a128b3a715f2f6da1056cf4dcc9ec24500f7a53acee4733b"
},
{
"entity": "00000000000006b2ab6decbc6fc7ec6bd2fbc720",
"tag": "ADDRESS_IS_CONTRACT",
"location": "eth",
"type": "ADDRESS",
"tagger_type": "COINMETRICS",
"tagger_method": "DETERMINISTIC",
"start_time": "2023-10-12T21:50:47.000000000Z",
"start_block_height": "18337128",
"start_block_hash": "5184d01e7ba0c8769553342bdf66b4a5aabb096ad4f5c754429733613a155ae5"
}
],
"next_page_token": "0.MjAyMC0wNi0wOFQyMTowM",
"next_page_url": "https://api.coinmetrics.io/v4/blockchain-metadata/tagged-entities?api_key=<your_key>&tags=ADDRESS_IS_CONTRACT&next_page_token=0.MjAyMC0wNi0wOFQyMTowM"
}Authorizations
Query Parameters
Response
List of tagged entities. Ordered by tuple (entity, tag, location, start_time) if requested by providing entities parameter. Ordered by tuple (tag, location, entity, started_time) if requested by providing tags parameter. Ordered by tuple (owner_name, location, entity, tag, timestamp_start) if requested by providing owner_name parameter.

